<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class JExtranetControllerBulkpermissions extends JControllerAdmin{
	
	protected	$option 		= 'com_jextranet';
	
	public function cancel()
	{
		$this->setRedirect('index.php?option=com_jextranet&view=users');
		return;
	}


	public function setValues() 
	{
		JRequest::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
		$post = JFactory::getApplication()->input->post;

		$users = $post->get('users',array(), 'array');
		JArrayHelper::toInteger($users);

		$storage = $post->get('storage','', 'raw');

		if (empty($users) || !is_object(json_decode($storage)))
		{
			$this->setRedirect('index.php?option=com_jextranet&view=bulkpermissions', JText::_('COM_JEXTRANET_BULK_PERMISSIONS_NOT_SET'), 'error');
			return false;
		}
		else
		{
			$params = new stdclass;
			$params->permissions = json_decode($storage);
			$this->getModel('Bulkpermissions', 'JExtranetModel')->store(json_encode($params), $users);
			$this->setRedirect('index.php?option=com_jextranet&view=bulkpermissions', JText::_('COM_JEXTRANET_BULK_PERMISSIONS_SET'), 'message');
			return;
		}
	}
	
}

?>
