<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.filesystem.file');
jimport('joomla.client.helper');

class JExtranetControllerFilelogs extends JControllerForm {
	
	protected	$option 		= 'com_jextranet';
	protected 	$text_prefix	= 'COM_JEXTRANET_FILELOGS';
	

	// removes file logs
	public function fdelete () {
		
		JRequest::checkToken() or jexit(JText::_('JINVALID_TOKEN'));
		JClientHelper::setCredentialsFromRequest('ftp');

		$id = JRequest::getVar('logid', '', '', 'int');	
		
		$path = JPATH_COMPONENT_SITE . DIRECTORY_SEPARATOR . 'logs' . DIRECTORY_SEPARATOR . 'files' . DIRECTORY_SEPARATOR . $id.'.ini';
		
		if ( JFile::exists( $path ) ) {
			JFile::delete( $path );
		}
		
		$return = JFactory::getApplication()->getUserState('com_jextranet.toReturn', null);
		$url 	= $return ? base64_decode( $return ) : 'index.php?option=com_jextranet&view=folders';
		
		$this->setRedirect( $url );
	}
	
	
	// closes the file log view and returns to the original view
	public function cancel( $key = null) {
		
		$return = JFactory::getApplication()->getUserState('com_jextranet.toReturn', null);
		$url 	= $return ? base64_decode( $return ) : 'index.php?option=com_jextranet&view=folders';
		JFactory::getApplication()->setUserState('com_jextranet.toReturn', null );
		
		$this->setRedirect( $url );
	}
	
	
		
	public function viewlog() {
		$return	= JRequest::getVar('toReturn', null, '', 'base64');
		$id		= JRequest::getVar('id', 0, '', 'int');
		JFactory::getApplication()->setUserState('com_jextranet.toReturn', $return );
		$this->setRedirect( 'index.php?option=com_jextranet&view=filelogs&id=' . (int) $id );
	}
	
	
	
}

?>
