<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

jimport('joomla.filesystem.file');
jimport('joomla.client.helper');

class JExtranetModelFilelogs extends JModelList
{
	protected	$option 		= 'COM_JEXTRANETLOGS';
	
	public function __construct($config = array()) {
		parent::__construct($config);
	}
	
	public function getLogs() {
		
		JClientHelper::setCredentialsFromRequest('ftp');

		$id = JRequest::getVar('id', 0, '', 'int');
		
		if (!empty($id)) {

			$path = JPATH_COMPONENT_SITE . DIRECTORY_SEPARATOR . 'logs' . DIRECTORY_SEPARATOR . 'files' . DIRECTORY_SEPARATOR . $id .'.ini';

			if (JFile::exists($path)) {
				$registry = new JRegistry();
				$registry->loadFile($path);
				return $registry->toArray();
			}
		}
	}

	
	
}
?>
