<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');

?>
<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{
		if (task == 'alert.cancel' || document.formvalidator.isValid(document.id('alert-form'))) {
			Joomla.submitform(task, document.getElementById('alert-form'));
		} else {
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}
	}
</script>

<form action="<?php echo JRoute::_('index.php?option=com_jextranet&view=alert&layout=edit&a_id='.(int) $this->item->a_id); ?>" method="post" name="adminForm" id="alert-form" class="form-validate form-horizontal">
	
	<div class="<?php echo $this->item->a_id ? 'span4' : 'span3';?>">
		<p class="text-center size64"><i class="icon icon-flag"></i></p>
		
		<div class="folder-label">
			<h3 class="pull-left"><?php echo $this->item->a_id ? $this->escape( $this->item->a_name ) : JText::_('COM_JEXTRANET_ADD'); ?></h3>
		
			<span class="pull-right">
			</span>
		</div>
		
		<?php if ($this->item->a_id) {?>
		<div class="folder-details">
			<div class="row-fluid">
				<div class="span12">
					<div class="span5 offset1">
						<?php echo JText::_('COM_JEXTRANET_CREATED'); ?>
					</div>
					<div class="span5">
						<?php echo $this->item->a_created;?>
					</div>
				</div>
			</div>
		</div>
		<?php } ?>
		
		<div class="row-fluid">
			<div class="span12">
				<?php echo JText::_('COM_JEXTRANET_ALERTS_TAGS_HELP');?>
			</div>
		</div>
	</div>
	
	<div class="span1"></div>
	
	<div class="<?php echo $this->item->a_id ? 'span6' : 'span7';?>">
		
		<ul class="nav nav-tabs">
            <li class="active"><a href="#general" data-toggle="tab">
                <?php echo JText::_('COM_JEXTRANET_DETAILS') ; ?></a></li>
            <li><a href="#folders" data-toggle="tab">
                <?php echo JText::_('COM_JEXTRANET_ALERTS_ATTACHED_FOLDERS');?>
                </a></li>
			<li><a href="#subscribers" data-toggle="tab">
                <?php echo JText::_('COM_JEXTRANET_ALERTS_SUBSCRIBERS');?>
                </a></li>
		</ul>

		<div class="tab-content">
			<div class="tab-pane active" id="general">
				<div class="row-fluid">
					<div class="span12">
                        <?php $fields = array ('a_name', 'a_subject',
                        'a_description', 'a_publish_up', 'a_publish_down', 'frontend' ); ?>
						<?php foreach ( $fields as $field ) { ?>
							<?php if ( $field == 'a_created' ) { ?>
								<?php if ( $this->item->a_id ) { ?>
									<div class="control-group">
										<div class="control-label">
											<?php echo $this->form->getLabel($field); ?>
										</div>
										<div class="controls">
											<?php echo $this->form->getInput($field); ?>
										</div>
									</div>
								<?php } ?>
							<?php } else { ?>

						<div class="control-group">
							<div class="control-label">
								<?php echo $this->form->getLabel( $field ); ?>
							</div>
							<div class="controls">
								<?php echo $this->form->getInput( $field ); ?>
							</div>
						</div>
						<?php } } ?>
					</div>
				</div>
			</div>
			
			<div class="tab-pane" id="folders">
				<div class="row-fluid">
					<div class="span12">
    <p><?php echo JText::_('COM_JEXTRANET_ALERTS_ATTACHED_FOLDERS_HELP');?>
    <?php echo JText::_('COM_JEXTRANET_RECURSIVE_NOTIFICATIONS_HELP') ;?></p>
						
						<div class="control-group">
							<div class="control-label">
								<?php echo $this->form->getLabel('recursive'); ?>
							</div>
							<div class="controls">
								<?php echo $this->form->getInput('recursive'); ?>
							</div>
						</div>

                        <?php echo $this->loadTemplate('folders');?>
					</div>
				</div>
			</div>

			<div class="tab-pane" id="subscribers">
				<div class="row-fluid">
					<div class="span12">
    					<p><?php echo JText::_('COM_JEXTRANET_ALERTS_SUBSCRIBERS_INFO');?></p>
						
						<div class="control-group">
							<div class="control-label">
								<?php echo $this->form->getLabel('subscribers'); ?>
							</div>
							<div class="controls">
								<?php echo $this->form->getInput('subscribers'); ?>
							</div>
						</div>
					</div>
				</div>
			</div>
			
		</div>
		
	</div>

	<?php echo $this->form->getInput( 'a_id' ); ?>
	<?php echo $this->form->getInput( 'a_created' ); ?>
	<input type="hidden" name="task" value="" />
	<?php echo JHtml::_('form.token'); ?>
</form>
