<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('behavior.keepalive');

?>
<script type="text/javascript">
	Joomla.submitbutton = function(task)
	{
		if (task == 'message.cancel' || document.formvalidator.isValid(document.id('message-form'))) {
			Joomla.submitform(task, document.getElementById('message-form'));
		} else {
			alert('<?php echo $this->escape(JText::_('JGLOBAL_VALIDATION_FORM_FAILED'));?>');
		}
	}
</script>

<form action="<?php echo JRoute::_('index.php?option=com_jextranet&view=message&layout=edit&m_id='.(int) $this->item->m_id); ?>" method="post" name="adminForm" id="message-form" class="form-validate form-horizontal">
	
	<div class="span3">
		<p class="text-center size64"><i class="icon icon-envelope"></i></p>
		<div class="folder-label">
			<h3 class="pull-left"><?php echo JText::_('COM_JEXTRANET_MESSAGES_COMPOSE_MESSAGE'); ?></h3>
		</div>
	</div>

	<div class="span1"></div>
	
	<div class="span7">
		
		<div class="control-group">
			<div class="control-label">
				<label title="" class="hasTip" for="jform_sendmail" id="jform_sendmail-lbl"><?php echo JText::_('COM_JEXTRANET_MESSAGES_SEND_MAIL');?></label>
			</div>
			<div class="controls">
                <?php if ($this->params->get('notify_admin_email_default', 0) == 1) {?>
				<input type="checkbox" id="jform_sendmail" name="sendmail" checked="checked" />
                <?php } else {?>
				<input type="checkbox" id="jform_sendmail" name="sendmail" />
                <?php } ?>
			</div>
		</div>
					
		<?php $fields = array ('m_user_id_to', 'messagetogroup', 'm_date_time', 'm_subject', 'm_message'); ?>
		<?php foreach ( $fields as $field ) { ?>
		<div class="control-group">
			<div class="control-label">
				<?php echo $this->form->getLabel( $field ); ?>
			</div>
			<div class="controls">
				<?php echo $this->form->getInput( $field ); ?>
			</div>
		</div>
		<?php }  ?>
	</div>

	<?php echo $this->form->getInput( 'm_id' ); ?>
	<?php echo $this->form->getInput( 'm_user_id_from' ); ?>
	<input type="hidden" name="task" value="" />
	<?php echo JHtml::_('form.token'); ?>
</form>
