<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

?>

<div class="modal hide fade" id="collapseModal">

	<div class="modal-header">
		<button type="button" class="close" data-dismiss="modal">x</button>
		<h3><?php echo JText::_('COM_JEXTRANET_USERS_ADD_NEW_USER');?></h3>
	</div>

	<div class="modal-body">
		<div class="control-group">
			<div class="controls">
				<div class="text-center">
					<div class="alert alert-info">
                        <label id="jform_user-lbl">1.
                            <?php echo JText::_('COM_JEXTRANET_USERS_ADD_NEW_USER_EXPLAINED');?>
                        </label>
					</div>
                    <select name="user[]" class="input-medium" id="users"
                        multiple style="width:200px;height:150px">
                        <?php echo JHtml::_(
                            'select.options',
                            JExtranetHelper::getSystem()->getNonUsers(),
                            'value', 'text') ;?>
					</select>
				</div>
				<div class="text-center">
					<div class="alert alert-success">
                        <label title="" id="jform_state-lbl">2.
                            <?php echo JText::_('COM_JEXTRANET_USERS_SELECT_DEFAULT_STATE');?>
                        </label>
					</div>
					<select name="state" class="input-medium" id="state">
                        <option value="1">
                            <?php echo JText::_('COM_JEXTRANET_AUTHORIZED');?>
                        </option>
                        <option value="0">
                            <?php echo JText::_('COM_JEXTRANET_UNAUTHORIZED');?>
                        </option>
					</select>			
				</div>
				<div class="text-center">
					<div class="alert alert-info">
                        <label id="jform_user-lbl">3.
                            <?php echo JText::_('COM_JEXTRANET_SELECT_GROUP');?>
                        </label>	
					</div>

					<select name="group" class="input-medium" id="group">
                        <option value="">
                            <?php echo JText::_('JSELECT');?>
                        </option>
                        <?php echo JHtml::_(
                                'select.options',
                                JExtranetHelper::getSystem()->getGroups(),
                                'value','text');?>
					</select>
				</div>

			</div>
		</div>
	</div>

	<div class="modal-footer">
		<button class="btn" type="button" data-dismiss="modal">
			<?php echo JText::_('JCANCEL'); ?>
		</button>
        <button class="btn btn-primary" type="submit"
                onclick="Joomla.submitbutton('users.donew');">
			<?php echo JText::_('COM_JEXTRANET_ADD');?>
		</button>
	</div>
</div>
