<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
$exclude = ( !is_array( $this->params->get('userMenuItemsRemoved', 0) ) ) ? array( 0 ) :  $this->params->get('userMenuItemsRemoved', 0);
?>
<div class="jextranet">
	<div class="pure-g">
	
		<div class="pure-u-1 pure-u-md-4-24 pure-u-sm-1 meniu">
            <?php echo JExtranetMenu::getMenu ('home') ;?>
        </div>

		<div class="pure-u-1 pure-u-md-19-24 pure-u-sm-1 continut">

			<div class="pure-g jheader">
				<div class="pure-u-1 pure-u-md-2-24 pure-u-sm-1 jheader-left">
					<i class="ico-home"></i> 
				</div>
				<div class="pure-u-1 pure-u-md-22-24 pure-u-sm-1 jheader-right">
					<?php echo JText::_('COM_JEXTRANET_CLIENT_AREA');?>
					<span class="pull-right username"><i class="ico-user"></i> <?php echo JFactory::getUser()->get('name');?></span>
				</div>
			</div>
    
		    <form action="<?php echo JRoute::_('index.php?option=com_jextranet'); ?>" method="post" name="adminForm" id="adminForm" class="pure-form">

		    	<fieldset>
					<input type="text" name="jextranet-search" class="" placeholder="<?php echo JText::_('COM_JEXTRANET_SEARCH_BY_CRITERIAS');?>" />
					<button class="pure-button pure-button-primary" onclick="JExtranetSubmitTask('jextranet.search');"><?php echo JText::_('COM_JEXTRANET_SEARCH');?> <i class="ico-magnifier"></i></button>
		    	</fieldset>

				<?php if ( $this->firstPage ) {?>
				<div class="pure-g">
					<div class="pure-u-1 pure-u-md-1">
						<?php echo $this->firstPage; ?>
					</div>
				</div>
				<?php } ?>
				
				<?php if ( $this->latest && $this->latestMess && !in_array( 2, $exclude) && $this->params->get('latestFilesAdded', 1) == 1  ) {
						echo $this->loadTemplate('messages_files');
					} elseif ( $this->latest && $this->params->get('latestFilesAdded', 1) == 1  ) { 
						echo $this->loadTemplate('files');
					} elseif ( $this->latestMess && !in_array( 2, $exclude) ) {
						echo $this->loadTemplate('messages');
					}	
				?>
				
				<?php if ( $this->params->get('lastLoginIP', 0) ) { ?>
				<div class="pure-g">
					<div class="pure-u-1 pure-u-md-1">
						<h4><i class="ico-pointer "></i> <?php echo JText::_('COM_JEXTRANET_LOGIN_LAST_IP'); ?></h4>
						<p><?php echo $this->lastIP; ?></p>
					</div>
				</div>
				<?php } ?>
		
	
				<input type="hidden" name="task" value="" />
				<input type="hidden" name="boxchecked" value="0" />
				<?php echo JHtml::_('form.token'); ?>
			</form>
		</div>
	
	</div>
</div>



    



