<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
?>

<div class="row-fluid page-header">
	<div class="span12">
		<div class="pull-left goto-wrapper span2">
			<i class="ico-speech"></i> 
		</div>
		<div class="pull-left span10">
			<?php echo JText::_('COM_JEXTRANET_MESSAGES');?>
		</div>
	</div>
</div>

<div class="row-fluid jextranet">
	<div class="span12">
	
		<div class="span2 pull-left">
            <?php echo JExtranetMenu::getMenu ( 'messages' ) ;?>
        </div>
 
 
 		<div class="span10 pull-left">

			<form action="<?php echo JRoute::_('index.php?option=com_jextranet&view=message'); ?>" method="post" name="adminForm" id="adminForm" class="form-horizontal">

				<?php if (!$this->message->id || $this->message->reply) { ?>
					<div class="j-message">
						
						<div class="row-fluid">
							<div class="span12">
								<h3 class="small"><?php if (empty($message)) {echo JText::_('COM_JEXTRANET_MESSAGES_HELP'); } ?></h3>
							</div>
						</div>
						
						<div class="row-fluid">
							<div class="span12">
								<header>
									<i class="ico-bulb"></i>
									<?php echo JText::_('COM_JEXTRANET_MESSAGES_COMPOSE'); ?>
								</header>
								<hr/>
							</div>
						</div>
						
						<div class="row-fluid">
							<div class="span12">
								<div class="control-group">
									<label class="control-label" for="message"><?php echo JText::_('COM_JEXTRANET_MESSAGES_SUBJECT');?></label>
									<div class="controls">
										<input name="extranet_subject" type="text" id="message" class="input-large" value="<?php echo $this->message->m_subject;?>" />
									</div>
								</div>

								<div class="control-group">
									<label class="control-label" for="extranet_message"><?php echo JText::_('COM_JEXTRANET_MESSAGES_BODY');?></label>
									<div class="controls">
										<textarea name="extranet_message" id="extranet_message" class="span12" rows="8"><?php echo $this->message->reply ? "\n\n\n----\n" . strip_tags($this->message->m_message) : '';?></textarea>
									</div>
								</div>
							</div>
						</div>
						
						
						<div class="item-footer">
							<div class="row-fluid">
								<div class="span12">
									<div class="control-group">
										<label class="control-label" for=""></label>
										<div class="controls">
											<button type="button" class="btn btn-primary" onclick="JExtranetSubmitTask('message.send');return false;"><i class="ico-cursor"></i> <?php echo JText::_('COM_JEXTRANET_MESSAGES_SEND');?></button>
											<a class="btn btn-danger" href="<?php echo JRoute::_('index.php?option=com_jextranet&view=messages', false);?>"><i class="ico-action-undo"></i> <?php echo JText::_('COM_JEXTRANET_BACK_TO_MESSAGES');?></a>
										</div>
									</div>
								</div>
							</div>
						</div>
					
					</div>


				<?php } else { ?>
					<div class="j-message">
						<div class="row-fluid">
							<div class="span12">
								<header>
									<i class="ico-bulb"></i>
									<?php if(!empty($this->message->m_subject)) { echo JText::_('COM_JEXTRANET_MESSAGES_SUBJECT') . ': ' . $this->escape($this->message->m_subject); }?>
								</header>
								<hr/>
							</div>
						</div>
						
						<div class="row-fluid">
							<div class="span12">
								<?php if(!empty($this->message->m_message)) { echo nl2br($this->message->m_message); }?>
                                <p class="datetime"><?php echo $this->message->m_date_time;?></p>
							</div>
						</div>
						
						<div class="item-footer">
							<div class="row-fluid">
								<div class="span12">
									<div class="span6 border-right"><a href="javascript:void(0);" onclick="JExtranetSubmitTaskID('messages.compose', <?php echo $this->message->id;?>);"><i class="ico-action-undo"></i> <?php echo JText::_('COM_JEXTRANET_REPLY');?></a></div>
									<div class="span6"><a href="<?php echo JRoute::_('index.php?option=com_jextranet&view=messages', false);?>"><i class="ico-arrow-left"></i> <?php echo JText::_('COM_JEXTRANET_BACK_TO_MESSAGES');?></a></div>
								</div>
							</div>
						</div>
					</div>
				<?php } ?>

				<input type="hidden" name="cid" id="cid" value="<?php echo $this->message->id;?>" />
				<input type="hidden" name="task" value="" />
				<input type="hidden" name="boxchecked" value="0" />
				<?php echo JHtml::_('form.token'); ?>
			</form>

		</div>
		
	</div>
</div>
