<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');


?>

<div class="row-fluid page-header">
	<div class="span12">
		<div class="pull-left goto-wrapper span2">
			<i class="ico-magnifier"></i> 
		</div>
		<div class="pull-left span10">
			<?php echo JText::_('COM_JEXTRANET_SEARCH_RESULTS');?>
		</div>
	</div>
</div>
    
<div class="row-fluid jextranet">
	<div class="span12">
	
		<div class="span2 pull-left">
            <?php echo JExtranetMenu::getMenu ( '' ) ;?>
        </div>

		<div class="span10 pull-left">
			
			<form action="<?php echo JRoute::_('index.php?option=com_jextranet&view=search', false ); ?>" method="post" name="adminForm" id="adminForm">

			<?php if (!empty($this->folders)) {
				foreach ($this->folders as $i => $folder) { $level = $this->user->getAuthorisationLevel( $folder->fd_id ); if ( in_array(2, $level) ) {
				 $url = JRoute::_('index.php?option=com_jextranet&view=folders&fid=' . $folder->fd_id );
			?>
					<div class="row-fluid item-row">
						<div class="span12">
							<i class="ico-folder-alt"></i>      
							<a href="<?php echo $url;?>">                     
								<?php echo $this->escape($folder->fd_name); ?>             
							</a>      
						</div>
					</div>

			<?php } } } ?>
			 


			<?php if (!empty($this->files)) {
				foreach ($this->files as $i => $file) { $level = $this->user->getAuthorisationLevel( $file->f_parent ); if ( in_array(2, $level) ) {
				 ?>
					<div class="row-fluid item-row">
						<div class="span12">    
							<i class="ico-doc"></i>                                   
							<a href="javascript:JExtranetDownloadThis('<?php echo $file->f_id;?>');">
							   <?php echo $this->escape($file->f_title); ?>             
							</a>             
						</div>
					</div>
			<?php } } } ?>




			<?php if (!empty($this->messages)) {
				foreach ($this->messages as $i => $message) { 
				 $url = JRoute::_('index.php?option=com_jextranet&view=message&layout=edit&id=' . $message->m_id );
			?>
				<div class="row-fluid item-row">
					<div class="span12">   
						<i class="ico-speech"></i>                                        
						<a href="<?php echo $url; ?>">
							<?php echo $this->escape($message->m_subject); ?>             
						</a>             
					</div>
				</div>
			<?php } } ?>

				<input type="hidden" name="cid" id="cid" value="" />
				<input type="hidden" name="task" value="" />
				<input type="hidden" name="boxchecked" value="0" />
				<?php echo JHtml::_('form.token'); ?>
			</form>
		</div>
	</div>
</div>
