<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

if(!( $uparams = $this->user->getParams() )) {  $uparams = new stdClass(); }
$uparams->allowUserUploadOwnFolder = isset($uparams->allowUserUploadOwnFolder) ? $uparams->allowUserUploadOwnFolder : 0;
?>

<script type="text/javascript" src="<?php echo $this->location_of_js;?>jqn.js"></script>
<script type="text/javascript" src="<?php echo $this->location_of_js;?>mfupload.js"></script>
<script type="text/javascript" src="<?php echo $this->location_of_js;?>functions.js"></script>
<script type="text/javascript">
  
	jeQuery().ready(function() {

		var errors="";

		jeQuery('#upload').mfupload({
			
			type		: '',	//all types
			maxsize		: '500',
			post_upload	: "<?php echo JUri::root() . 'index.php?option=com_jextranet&task=file.upload&' . JSession::getFormToken() . '=1'; ?>",
			folder		: "0",
			ini_text	: "<?php echo JText::_('COM_JEXTRANET_MULTI_UPLOAD_DRAG_FILE') . '. ' . JText::_('COM_JEXTRANET_FILE_UPLOAD_ALLOWED') . $this->allowed;?>",
			over_text	: "<?php echo JText::_('COM_JEXTRANET_MULTI_UPLOAD_DROP_HERE');?>",
			over_col	: 'white',
			over_bkcol	: '#27ae60',
			
			init		: function(){		
				jeQuery("#uploaded").empty();
			},
			
			start		: function(result){		
				jeQuery("#uploaded").append("<div id='FILE"+result.fileno+"' class='files'>"+result.filename+"<div id='PRO"+result.fileno+"' class='progress'></div></div>");	
			},

			loaded		: function(result){
				jeQuery("#PRO"+result.fileno).remove();
				jeQuery("#FILE"+result.fileno).html("<?php echo JText::_('COM_JEXTRANET_MULTI_UPLOAD_UPLOADED');?>: "+result[0].filename+" ("+result[0].size+")");	
				if ( result.error ) {
					jeQuery("#FILE"+result.fileno).html("<?php echo JText::_('COM_JEXTRANET_MULTI_UPLOAD_ERRORS');?>: "+result.error);	
				}		
			},

			progress	: function(result){
				jeQuery("#PRO"+result.fileno).css("width", result.perc+"%");
			},

			error		: function(error){
				errors += error.filename+": "+error.err_des+"\n";
			},

			completed	: function( ){
				 setTimeout( redirectUser, 2000 );
			}
		});   	
	})

	function redirectUser() {
		document.location.href = '<?php echo JRoute::_('index.php?option=com_jextranet&view=userfiles', false); ?>';
	}
</script>

<div class="row-fluid page-header">
	<div class="span12">
		<div class="pull-left goto-wrapper span2">
			<i class="ico-cloud-upload"></i> 
		</div>
		<div class="pull-left span10">
			<?php echo JText::_('COM_JEXTRANET_USERFOLDERS');?>
		</div>
	</div>
</div>
    
<div class="row-fluid jextranet">
	<div class="span12">
	
		<div class="span2 pull-left">
            <?php echo JExtranetMenu::getMenu ( 'userfiles' ) ;?>
        </div>

		<div class="span10 pull-left">
			
			<form name="adminForm" id="adminForm" action="<?php echo JRoute::_('index.php?option=com_jextranet&view=userfiles',false ); ?>" method="post">

			<div class="row-fluid">
				<div class="span12">
					<div class="lastest-files">

						<!-- upload -->
						<div class="item-footer">
							<div class="row-fluid">
								<div class="span12">

									<?php if (( $this->params->get('allowUserUploadOwnFolder', 0) == 1 && $uparams->allowUserUploadOwnFolder == 0 ) || $uparams->allowUserUploadOwnFolder == 1) { ?>
									<div class="span6 border-right">
										<a href="javascript:void(0);" onclick="toggleUploader();return false;">
											<i class="ico-cloud-upload"></i> <?php echo JText::_('COM_JEXTRANET_FOLDERS_ADD_FILES');?>
										</a>
									</div>
                                    <?php if ($this->params->get('allowUserDeleteVaultFiles',0) == 1) {?>
									<div class="span6">
										<a href="javascript:void(0);" onclick="JExtranetSubmitTask('userfiles.remove');">
											<i class="ico-trash"></i> <?php echo JText::_('COM_JEXTRANET_USERFILES_REMOVE');?>
										</a>
									</div>
                                    <?php } ?>
									<div id="uf1" style="display: none;">
										<div id="upload-zone">
											<div id="upload" class="span4 pull-left" style="border:2px dashed #007FCC; height:200px;"></div>
											<div id="uploaded" class="span8 pull-left" style="border: 1px solid #ddd; height:200px; overflow-y:auto; background:#ecf0f1; color:#2c3e50"></div>
										</div>
									</div>
									<?php } else { ?>
                                        <?php if ($this->params->get('allowUserDeleteVaultFiles',0) == 1) {?>
										<a href="javascript:void(0);" onclick="JExtranetSubmitTask('userfiles.remove');">
											<i class="ico-trash"></i> <?php echo JText::_('COM_JEXTRANET_USERFILES_REMOVE');?>
										</a>
                                        <?php } ?>
									<?php } ?>
								</div>
							</div>
						</div>
						<!-- /upload -->

						<?php if (!empty($this->items)) { foreach ($this->items as $i => $file) { ?>
						<div class="row-fluid item-row">
							<div class="span12">
								<div class="span1 pull-left">
									<input type="checkbox" name="cids[]" id="cid<?php echo $i;?>" value="<?php echo $file->f_id;?>" />
								</div>
								<div class="span10 dropdown">
									<i class="ico-doc jicon"></i> <a href="javascript:JExtranetUserfileDownloadThis('<?php echo $file->f_id;?>');"><?php echo $this->escape($file->f_title); ?></a>
									<span class="size pull-right"><?php echo JExtranetHelper::getSystem()->parseSize($file->f_size); ?></span>
								</div>

								<div class="span1 goto-wrapper">
									<a href="javascript:JExtranetUserfileDownloadThis('<?php echo $file->f_id;?>');"><i class="ico-arrow-down"></i></a>
								</div>
							</div>
						</div>
						<?php } ?>
						<div class="row-fluid item-row">
							<div class="span12">
								<p class="small"><?php echo $this->pagination->getListFooter();?></p>
							</div>
						</div> 
						<?php } else { ?>
						<div class="row-fluid item-row">
							<div class="span12">
								<p class="small"><?php echo JText::_('COM_JEXTRANET_NO_FILES_VAULT');?></p>
							</div>
						</div>
						<?php } ?>
						
					</div>
				</div>
			</div>

				<input type="hidden" name="cid" id="cid" value="" />
				<input type="hidden" name="task" value="" />
				<input type="hidden" name="boxchecked" value="0" />
				<?php echo JHtml::_('form.token'); ?>
			</form>
		</div>

	</div>
</div>
