<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

JFormHelper::loadFieldClass('list');

class JFormFieldFparent extends JFormFieldList {

	protected $type = 'f_parent';

	public function getInput() {
		
		$html = array();
		$fldname 	= JText::_('COM_JEXTRANET_FOLD_ROOT');
		$fld 		= 0;
		$filter 	= JFilterInput::getInstance();

		// get folder name
		$db		= JFactory::getDbo();
		$query	= $db->getQuery(true);
		
		$file_id =  $this->form->getValue('f_id');
		
		// if new file 
		if (empty($file_id)) {
			$fld = JRequest::getVar ( 'folder', 0, 'get', 'int' );

			if (!empty($fld)) {
				
				$query->select('a.fd_name');
				$query->from('#__extranet_folders AS a');
				$query->where('a.fd_id = ' . $fld);
						  
				$db->setQuery( $query );
				$fldname = $db->loadResult();
			} 	
		} else {

			$query->select('a.fd_name, a.fd_id');
			$query->from('#__extranet_folders AS a');
			$query->join('left','#__extranet_files AS b ON a.fd_id = b.f_parent');
			$query->where('b.f_id = ' . $file_id );

			$db->setQuery( $query );
			$rez = $db->loadObject ();
			if ( $rez ) {
				$fldname 	= $rez->fd_name;
				$fld	 	= $rez->fd_id;
			}
		} 
		
		$attr = $this->element['class'] ? ' class="'.(string) $this->element['class'].'"' : '';
		$attr .= $this->element['size'] ? ' size="'.(int) $this->element['size'].'"' : '';

		$html[] = '<select name="'.$this->name.'" ' . $attr . '>';
		$html[] = '<option selected="selected" value="'. $fld .'">' . $filter->clean($fldname) . '</option>';
		$html[] = '</select>';

		return implode( $html );

	}
	
}
?>
