<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

$post_max_size 			= ini_get('post_max_size');
$upload_max_filesize 	= ini_get('upload_max_filesize');
$memory_limit 			= ini_get('memory_limit');
$max_execution_time 	= ini_get('max_execution_time');
$path 					= is_writable( JExtranetHelper::getSystem()->getUploadFolder() ) ? 'Writable' : 'Unwritable';
$preview 				= is_writable( JExtranetHelper::getSystem()->getUploadFolder() . DIRECTORY_SEPARATOR . 'extranet_ufiles' ) ? 'Writable' : 'Unwritable';
?>
 

<fieldset class="adminform">
	<legend>Relevant PHP Settings</legend>
		<table class="adminlist">
			<thead>
				<tr>
					<th>Setting</th>
					<th>Value</th>
				</tr>
			</thead>
			<tfoot>
				<tr>
					<td colspan="2">&nbsp;</td>
				</tr>
			</tfoot>
				
			<tbody>
				<tr><td>POST Maximum Size :</td><td><?php echo $post_max_size;?></td></tr>
				<tr><td>Upload Maximum Filesize :</td><td><?php echo $upload_max_filesize;?></td></tr>
				<tr><td>Memory Limit :</td><td><?php echo $memory_limit;?></td></tr>
				<tr><td>Maximum Execution Time :</td><td><?php echo $max_execution_time;?></td></tr>
				<tr><td><?php echo JExtranetHelper::getSystem()->getUploadFolder();?> :</td><td><?php echo $path;?></td></tr>
				<tr><td><?php echo JExtranetHelper::getSystem()->getUploadFolder() . DIRECTORY_SEPARATOR . 'extranet_ufiles';?> :</td><td><?php echo $preview;?></td></tr>
			</tbody>
		</table>
</fieldset>


