<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
$id = JRequest::getVar('id', '', '', 'int');
?>

<form action="<?php echo JRoute::_('index.php?option=com_jextranet&view=userlogs'); ?>" method="post" name="adminForm" id="adminForm">
	
	<div id="j-main-container" class="span12">
		<div class="span4">
			<p class="text-center size64"><i class="icon icon-eye-open"></i></p>
			
			<div class="folder-label">
				<h3 class="pull-left"><?php echo JText::_('COM_JEXTRANET_LOGS'); ?></h3>
			
				<span class="pull-right">
				</span>
			</div>
		</div>
		
		<div class="span7">
			<table class="table table-striped">
				<thead>
					<tr>
						<th width="10%"><?php echo JText::_('COM_JEXTRANET_DATE');?></th>
						<th width="20%"><?php echo JText::_('COM_JEXTRANET_NAME');?></th>
						<th width="5%"><?php echo JText::_('COM_JEXTRANET_ID');?></th>	
						<th width="60%"><?php echo JText::_('COM_JEXTRANET_SERVER_PATH');?></th>	
						<th width="5%"><?php echo JText::_('COM_JEXTRANET_FILES_HITS');?></th>	
					</tr>
				</thead>

				<tbody>
				<?php if (!empty($this->logs)) {
						foreach ($this->logs as $i => $log) {
								$file = JExtranetHelper::getFile($log);
								if (!empty($file)) { 
				?>
				<tr class="row<?php echo $i % 2; ?>">
					<td><?php echo $i;?></td>
					<td><?php echo $this->escape($file->name);?></td>
					<td><?php echo $log;?></td>
					<td><?php echo $file->path;?></td>
					<td><?php echo $file->hits;?></td>
				</tr>
				<?php } } } ?>
				</tbody>
						
				<tfoot>
					<tr><td colspan="5"></td></tr>
				</tfoot>
			</table>
		</div>
	</div>
		
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="boxchecked" value="0" />
	<input type="hidden" name="logid" value="<?php echo $id;?>" />
	<?php echo JHtml::_('form.token'); ?>
</form>
