<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

class JExtranetViewUserlogs extends JViewLegacy
{
	protected $logs;

	function display($tpl = null) {
		
		$this->logs		= $this->get('Logs');

		// Check for errors.
		if (count($errors = $this->get('Errors'))) {
			JError::raiseError(500, implode("\n", $errors));
			return false;
		}
		
		$this->addToolbar();
		parent::display($tpl);
		
	}
	
	public function addToolbar() {	

		JHtml::stylesheet( 'administrator/components/com_jextranet/assets/css/default.css' );
		
		$canDo	= JExtranetHelper::getSystem()->getActions();
		
		JToolBarHelper::title(   'J!Extranet :: ' . JText::_( 'COM_JEXTRANET_LOGS' ), 'eye-open' );	
		
		if ($canDo->get('core.delete')) {
			JToolBarHelper::custom('userlogs.fdelete', 'delete.png', 'delete.png', 'JTOOLBAR_DELETE' , false);
		}
		
		JToolBarHelper::cancel('user.cancel', 'JTOOLBAR_CLOSE');
	}
	
}
?>
