<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Copyright (C) 2011 Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */

// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');

?>

<script type="text/javascript" src="<?php echo $this->location_of_js;?>jqn.js"></script>
<script type="text/javascript" src="<?php echo $this->location_of_js;?>mfupload.js"></script>
<script type="text/javascript" src="<?php echo $this->location_of_js;?>functions.js"></script>
<script type="text/javascript">
  
	jeQuery().ready(function() {

		var errors="";
		var files = new Array();

		jeQuery('#upload').mfupload({
			
			type		: '',	//all types
			maxsize		: '5000',
			post_upload	: "<?php echo JUri::root() . 'index.php?option=com_jextranet&task=file.upload&' . JSession::getFormToken() . '=1'; ?>",
			folder		: "<?php echo $this->folder->get('id');?>",
			ini_text	: "<?php echo JText::_('COM_JEXTRANET_MULTI_UPLOAD_DRAG_FILE') . '. ' . JText::_('COM_JEXTRANET_FILE_UPLOAD_ALLOWED') . $this->allowed;?>",
			over_text	: "<?php echo JText::_('COM_JEXTRANET_MULTI_UPLOAD_DROP_HERE');?>",
			over_col	: 'white',
			over_bkcol	: '#27ae60',
			
			init		: function(){		
				jeQuery("#uploaded").empty();
			},
			
			start		: function(result){		
				jeQuery("#uploaded").append("<div id='FILE"+result.fileno+"' class='files'>"+result.filename+"<div id='PRO"+result.fileno+"' class='progress'></div></div>");	
			},

			loaded		: function(result){
				files.push(result[0]);
				jeQuery("#PRO"+result.fileno).remove();
				jeQuery("#FILE"+result.fileno).html("<?php echo JText::_('COM_JEXTRANET_MULTI_UPLOAD_UPLOADED');?>: "+result[0].filename+" ("+result[0].size+")");	
				if ( result.error ) {
					jeQuery("#FILE"+result.fileno).html("<?php echo JText::_('COM_JEXTRANET_MULTI_UPLOAD_ERRORS');?>: "+result.error);	
				}		
			},

			progress	: function(result){
				jeQuery("#PRO"+result.fileno).css("width", result.perc+"%");
				document.querySelector('.info').innerText = "<?php echo JText::_('COM_JEXTRANET_UPLOADING_PLEASE_WAIT', true);?>";
			},

			error		: function(error){
				errors += error.filename+": "+error.err_des+"\n";
			},

			completed	: function(result){
				finishUpload(files);
			}
		});   	
	});

	function finishUpload(f) {

		var files = new Array();
		
		if (f.length > 0) {
			f.forEach(file => {
				if (file.error == null) {
					files.push(file);
				}
			});
		} 

		if (files.length > 0) {
			sendNotifications(files);
		} 
		setTimeout(redirectUser, 3000);
	}

	function sendNotifications(files) {

		var url = '<?php echo JUri::root() . 'index.php?option=com_jextranet&task=file.notify&' . JSession::getFormToken() . '=1&folder=' . $this->folder->get('id');?>'; 
		var xhr = new XMLHttpRequest();
  		xhr.open('POST', url, true);
  		xhr.setRequestHeader("Content-Type", "application/json;charset=UTF-8");
		xhr.send(JSON.stringify(files));
	}

	function redirectUser() {
		document.location.href = '<?php echo JRoute::_('index.php?option=com_jextranet&view=folders&fid=' . $this->folder->get('id') ); ?>';
	}
</script>


<div class="row-fluid page-header">
	<div class="span12">
		<div class="pull-left goto-wrapper span2">
			<i class="ico-folder"></i> 
		</div>
		<div class="pull-left span10">
			<?php echo JText::_('COM_JEXTRANET_FOLDERS');?>
		</div>
	</div>
</div>

<div class="row-fluid jextranet">
	<div class="span12">
	
		<div class="span2 pull-left">
			<?php echo JExtranetMenu::getMenu ( 'folders' ) ;?>
        </div>
        
		<div class="span10 pull-left">
			<form action="<?php echo JRoute::_('index.php?option=com_jextranet&view=folders&fid=' . $this->folder->get('id') ); ?>" method="post" name="adminForm" id="adminForm">
				
				<?php echo JComponentHelper::getParams('com_jextranet')->get('template') == 1 ? $this->loadTemplate('table_legacy') : $this->loadTemplate('table_default'); ?>

				<input type="hidden" name="cid" id="cid" value="" />
				<input type="hidden" name="folder" value="<?php echo $this->folder->get('id'); ?>" />
				<input type="hidden" name="return" value="<?php echo $this->return;?>" />
				<input type="hidden" name="task" value="" />
				<input type="hidden" name="boxchecked" value="0" />
				<?php echo JHtml::_('form.token'); ?>
			</form>
		</div>

	</div>
</div>
