<?php
/*
 * @component J!Extranet
 * @website : ionutlupu.me
 * @copyright Ionut Lupu. All rights reserved.
 * @license : http://www.gnu.org/copyleft/gpl.html GNU/GPL , see license.txt
 */
 
// Check to ensure this file is included in Joomla!
defined('_JEXEC') or die('Restricted access');
?>

<div class="jextranet">
	<div class="pure-g">
		<div class="pure-u-1 pure-u-md-4-24 pure-u-sm-1 meniu">
            <?php echo JExtranetMenu::getMenu ('') ;?>
        </div>

		<div class="pure-u-1 pure-u-md-19-24 pure-u-sm-1 continut">
			<div class="pure-g jheader">
				<div class="pure-u-1 pure-u-md-2-24 pure-u-sm-1 jheader-left">
					<i class="ico-magnifier"></i> 
				</div>
				<div class="pure-u-1 pure-u-md-22-24 pure-u-sm-1 jheader-right">
					<?php echo JText::_('COM_JEXTRANET_SEARCH_RESULTS');?>
					<span class="pull-right username"><i class="ico-user"></i> <?php echo JFactory::getUser()->get('name');?></span>
				</div>
			</div>

			<form action="<?php echo JRoute::_('index.php?option=com_jextranet&view=search', false ); ?>" method="post" name="adminForm" id="adminForm">

			<?php if (!empty($this->folders)) {
				foreach ($this->folders as $i => $folder) { $level = $this->user->getAuthorisationLevel( $folder->fd_id ); if ( in_array(2, $level) ) {
				 $url = JRoute::_('index.php?option=com_jextranet&view=folders&fid=' . $folder->fd_id );
			?>
					<div class="pure-g pcontent">
						<div class="pure-u-1 line">
							<i class="ico-folder-alt"></i>      
							<a href="<?php echo $url;?>">                     
								<?php echo $this->escape($folder->fd_name); ?>             
							</a>      
						</div>
					</div>

			<?php } } } ?>
			 


			<?php if (!empty($this->files)) {
				foreach ($this->files as $i => $file) { $level = $this->user->getAuthorisationLevel( $file->f_parent ); if ( in_array(2, $level) ) {
				 ?>
					<div class="pure-g pcontent">
						<div class="pure-u-1 line">  
							<i class="ico-doc"></i>                                   
							<a href="javascript:JExtranetDownloadThis('<?php echo $file->f_id;?>');">
							   <?php echo $this->escape($file->f_title); ?>             
							</a>             
						</div>
					</div>
			<?php } } } ?>




			<?php if (!empty($this->messages)) {
				foreach ($this->messages as $i => $message) { 
				 $url = JRoute::_('index.php?option=com_jextranet&view=message&layout=edit&id=' . $message->m_id );
			?>
					<div class="pure-g pcontent">
						<div class="pure-u-1 line">
						<i class="ico-speech"></i>                                        
						<a href="<?php echo $url; ?>">
							<?php echo $this->escape($message->m_subject); ?>             
						</a>             
					</div>
				</div>
			<?php } } ?>

				<input type="hidden" name="cid" id="cid" value="" />
				<input type="hidden" name="task" value="" />
				<input type="hidden" name="boxchecked" value="0" />
				<?php echo JHtml::_('form.token'); ?>
			</form>

		</div>
	</div>
</div>


			

